com.google.web.bindery.requestfactory.apt

## Class ValidationTool

- java.lang.Object
- - com.google.web.bindery.requestfactory.apt.ValidationTool

    public class ValidationTool
    extends java.lang.Object

Provides "late" validation services when server types aren't available to the shared-interface compilation process. This tool is provided the name of an output jar and the binary names of RequestFactory interfaces that should be validated. The validation process will provide pre-computed type map builders for use by the ServiceLayer.

See Also:
  `RequestFactoryInterfaceValidation`

### Nested Class Summary

Nested Classes
`(package private) static class` `ValidationTool.JarOrDirectoryOutputFileManager` A JavaFileManager that writes the class outputs into a jar file or a directory.

### Constructor Summary

Constructors
Constructor and Description
`ValidationTool()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `exec(java.lang.String[] args)` A testable "main" method.
`static boolean` `exec(java.lang.String[] args, javax.tools.JavaCompiler compiler)`
`static boolean` `exec(java.lang.String[] args, javax.tools.JavaCompiler compiler, java.lang.Iterable<java.lang.String> javacOpts)`
`static void` `main(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValidationTool

    public ValidationTool()

### Method Detail

#### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### exec

    public static boolean exec(java.lang.String[] args)
                        throws java.io.IOException

A testable "main" method.

Throws:
  `java.io.IOException`

#### exec

    public static boolean exec(java.lang.String[] args,
                               javax.tools.JavaCompiler compiler)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### exec

    public static boolean exec(java.lang.String[] args,
                               javax.tools.JavaCompiler compiler,
                               java.lang.Iterable<java.lang.String> javacOpts)
                        throws java.io.IOException

Throws:
  `java.io.IOException`